Skip to main content
GET
Get a task

Authorizations

Authorization
string
header
required

Path Parameters

jobId
string
required

The unique identifier of the job that owns the task. Use the reserved value unattached to address tasks that are not attached to any job, which happens when a component defines a task whose parent_job_id expression evaluates to nothing.

taskId
string
required

Response

Successful response

Stored task definition. Field order is unevaluated and appears in buildtime-evaluatable form.

component_ids
string[]
required
component_references
object[]
required
id
string
required
read-only

Unique id of the task.

order
required

Position of this task in the job, as the buildtime expression or literal that was saved. Re-evaluated on campaign publish to determine the task's resolved execution order. Buildtime expressions use JobBuildtimeContext.

parent_job_id
required

Id of the job this task belongs to, as the buildtime expression or literal that was saved. Buildtime expressions use JobBuildtimeContext.

task_type
enum<string>
required
Available options:
FILE_HEADER_VALIDATOR
expected_headers
required

Headers the validated file is expected to contain. A literal value or a buildtime expression resolved from component references when the task is saved. Buildtime expressions use JobBuildtimeContext.

Headers the validated file is expected to contain. A literal value or a buildtime expression resolved from component references when the task is saved.

match_mode
enum<string>
required
Available options:
EXACT_SET,
ORDERED,
SUBSET
on_mismatch
required

Action taken when the headers do not match. A literal value or a buildtime expression resolved from component references when the task is saved. Buildtime expressions use JobBuildtimeContext.

Available options:
FAIL,
WARN